workspaces_members_update
const url = 'https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/members/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"role":"owner"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/members/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "role": "owner" }'Update a workspace member item.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”A UUID string identifying this workspace member.
Request Body
Section titled “Request Body”Serializer for updating WorkspaceMember data.
object
owner- ownermember- member
Return the interactor information of the object’s creator.
Parameters
obj : WorkspaceMember The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : WorkspaceMember The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Serializer for updating WorkspaceMember data.
object
owner- ownermember- member
Return the interactor information of the object’s creator.
Parameters
obj : WorkspaceMember The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : WorkspaceMember The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Serializer for updating WorkspaceMember data.
object
owner- ownermember- member
Return the interactor information of the object’s creator.
Parameters
obj : WorkspaceMember The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : WorkspaceMember The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Responses
Section titled “Responses”Serializer for WorkspaceMember model.
object
owner- ownermember- member
Return the interactor information of the object’s creator.
Parameters
obj : WorkspaceMember The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : WorkspaceMember The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example
{ "role": "owner"}object
object
Example
{ "code": "body_validation_error", "message": "The request body does not match the schema for the expected parameters. Check the `details` property for more details.", "details": [ { "parameter": "role", "code": "invalid_choice", "message": "\"<parameter_value>\" is not a valid choice." } ]}object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "workspace_member", "code": "not_allowed", "message": "You cannot promote yourself." } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
